Home | About | Sematext search-lucene.com search-hadoop.com
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB
 Search Hadoop and all its subprojects:

Switch to Threaded View
Hadoop >> mail # user >> Hbase startup error: NoNode for /hbase/master after running out of space


Copy link to this message
-
Re: Hbase startup error: NoNode for /hbase/master after running out of space
Hey Andy,

You're correct that 0.20.203 doesn't have append. Your best bet is to
build a version of the append branch or <shameless-plug>switch to
CDH3u0</shameless-plug>.

-Joey

On Tue, Jun 7, 2011 at 6:31 PM, Zhong, Sheng <[EMAIL PROTECTED]> wrote:
> Thanks! The issue has been resolved by removing some bad blks...
>
> But St.Ack,
>
> We do want a upgrade, and am starting the research. Pl help to provide
> your suggestion or comments:
>
> If we stick with apache version, the latest stable version is
> hadoop-0.20.203.0rc1.tar.gz. However, it may have potentially compatible
> issue with latest Hbase 0.90.2 according to Michel Noll, specified from
> http://www.michael-noll.com/blog/2011/04/14/building-an-hadoop-0-20-x-ve
> rsion-for-hbase-0-90-2/comment-page-1/#comment-19757:
> "As of today, Hadoop 0.20.2 is the latest stable release of Apache
> Hadoop that is marked as ready for production (neither 0.21 nor 0.22
> are). Unfortunately, Hadoop 0.20.2 release is not compatible with the
> latest stable version of HBase:" The paper suggests either uses
> branch-0.20-append or use hadoop jar found from HBASE.
>
> Andy
>
>
> -----Original Message-----
> From: [EMAIL PROTECTED] [mailto:[EMAIL PROTECTED]] On Behalf Of
> Stack
> Sent: Tuesday, June 07, 2011 5:13 PM
> To: [EMAIL PROTECTED]
> Subject: Re: Hbase startup error: NoNode for /hbase/master after running
> out of space
>
> On Mon, Jun 6, 2011 at 8:29 PM, Zhong, Sheng <[EMAIL PROTECTED]>
> wrote:
>> I am appreciated by any help and suggestion. P.S: we're using apache
>> hadoop 0.20.2 and hbase 0.20.3, and zookeeper is running via
>> zookeeper-3.2.2 (not managed by Hbase).
>>
> Can you upgrade you hbase and hadoop?
> St.Ack
>

--
Joseph Echeverria
Cloudera, Inc.
443.305.9434
NEW: Monitor These Apps!
elasticsearch, apache solr, apache hbase, hadoop, redis, casssandra, amazon cloudwatch, mysql, memcached, apache kafka, apache zookeeper, apache storm, ubuntu, centOS, red hat, debian, puppet labs, java, senseiDB